------------------------------------------------------------------------------------
--Name:			191227[简体征服][任务脚本]忍者觉醒版本-忍者觉醒剧情任务
--Creator:		兰瑞妹
--Created:		2020/01/02
------------------------------------------------------------------------------------
--/callluafunc </F>User_PlayPlot</N>24
-- /chgmap 10764 259 338
-- 1.背景为妙木山
-- 2.玩家从屏幕左侧移动至屏幕中(大概2秒)
-- 3.出现8个ToadNinja，站位为九宫格，玩家站在中级

-- 设置摄像机指向位置(网格坐标)
CppScriptMgr:SetViewPosByCell(255, 338)
------------------------------------------------------------
--玩家对象操作接口,Hero、Player、Npc接口都一样
-- 查询/创建，玩家自己
-- 参数：无
local hero = CppScriptMgr:QueryHero()
-- 创建人物接口：CppScriptMgr:AddPlayer(外观look, 坐标x, 坐标y, "Name", id, 角色类型luaPlayerType)
-- local player = CppScriptMgr:AddPlayer(276, 325, 345, "Newbie", 4003000001)

hero:SetPos(255, 351)
-- 设置玩家方向，[0, 7]-八方向
hero:SetDir(4)
hero:SetCtrlMapView(1)
-- CppScriptMgr:NpcCallOut("This must be the Toad Mountain. I can feel its vitality!\n\n\n\n                                     Press ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc208", 150, 430, "Me", 250, 655)
hero:Say("This must be the Toad Mountain. I can feel its vitality!", 2000)
CppScriptMgr:WaitMilSec(2000)
-- CppScriptMgr:NpcCallOut("Don`t know who lives on it. Let`s go.\n\n\n\n\n                                     Press ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc208", 150, 430, "Me", 250, 655)
hero:Say("Don`t know who lives on it. Let`s go.", 2000)
CppScriptMgr:WaitMilSec(2000)

-- 玩家跑动
hero:JumpTo(254, 339)
CppScriptMgr:WaitMilSec(500)
-- 设置摄像机指向位置(网格坐标)
-- CppScriptMgr:SetViewPosByCell(169, 248)
-- CppScriptMgr:WaitMilSec(1000)
local effectObj11 = CppScriptMgr:AddEffect("daqingwa", 250, 339)
local effectObj11 = CppScriptMgr:AddEffect("daqingwa", 255, 344)
local effectObj11 = CppScriptMgr:AddEffect("daqingwa", 259, 340)
local effectObj11 = CppScriptMgr:AddEffect("daqingwa", 254, 336)
CppScriptMgr:WaitMilSec(1000)
local player1 = CppScriptMgr:AddSimplePlayer(23536, 250, 339, "ToadJim", 4003000061,1)
local player2 = CppScriptMgr:AddSimplePlayer(23544, 255, 344, "ToadRoan", 4003000062,1)
local player3 = CppScriptMgr:AddSimplePlayer(23592, 259, 340, "ToadLil", 4003000063,1)
local player4 = CppScriptMgr:AddSimplePlayer(23550, 254, 336, "ToadJohn", 4003000064,1)
-- local player5 = CppScriptMgr:AddSimplePlayer(23611, 250, 339, "ToadNinja", 4003000065,1)
-- local player6 = CppScriptMgr:AddSimplePlayer(23631, 259, 333, "ToadNinja", 4003000066,1)
-- local player7 = CppScriptMgr:AddSimplePlayer(23532, 268, 331, "ToadNinja", 4003000067,1)
-- local player8 = CppScriptMgr:AddSimplePlayer(23532, 173, 252, "ToadNinja", 4003000068,1)
player1:SetDir(6)
player2:SetDir(4)
player3:SetDir(2)
player4:SetDir(0)
CppScriptMgr:NpcCallOut("Stop! Who are you?\n\n\n\n\n                                     Press ESC to skip the story.", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc199", 150, 430, "ToadJim", 250, 655)
CppScriptMgr:WaitMilSec(2000)
-- CppScriptMgr:NpcCallOut("(A talking toad!)\n\n\n\n\n                                     Press ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc208", 150, 430, "Me", 250, 655)
hero:Say("(A talking toad!)", 2000)
CppScriptMgr:WaitMilSec(2000)
-- CppScriptMgr:NpcCallOut("I`m the disciple of Hanzo. I`m here to visit Taeko Sensei.\n\n\n\n                                     Press ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc208", 150, 430, "Me", 250, 655)
hero:Say("I`m the disciple of Hanzo. I`m here to visit Taeko Sensei.", 2000)
CppScriptMgr:WaitMilSec(2000)
player2:Say("Hanzo?<Whispering>", 2000)
CppScriptMgr:WaitMilSec(1000)
CppScriptMgr:NpcCallOut("    Are you a Ninja?\n\n\n\n\n                                     Press ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc199", 150, 430, "ToadJim", 250, 655)
CppScriptMgr:WaitMilSec(2000)
-- CppScriptMgr:NpcCallOut("Yes, I am.\n\n\n\n\n                                     Press ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc208", 150, 430, "Me", 250, 655)
hero:Say("Yes, I am.", 2000)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:NpcCallOut("Good.\nTake him down!\n\n\n\n                                     Press ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc199", 150, 430, "ToadJim", 250, 655)
CppScriptMgr:WaitMilSec(2000)
-- CppScriptMgr:NpcCallOut("?!\nIs there any misunderstanding? Let me explain.\n\n\n\n                                     Press ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc208", 150, 430, "Me", 250, 655)
hero:Say("?!\nIs there any misunderstanding? Let me explain.", 2000)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:NpcCallOut("We have nothing to say with a Ninja!\n\n\n\n\n                                     Press ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc199", 150, 430, "ToadJim", 250, 655)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:NpcCallOut("Nothing!\n\n\n\n\n                                     Press ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc202", 150, 430, "ToadJohn", 250, 655)
CppScriptMgr:WaitMilSec(2000)


